function UpdateBreakGUI( hd, breaks)
% UpateBreakGUI Updates the breaks gui box

curbrk = get(hd,'Value');
if  isempty(breaks) 
    % Write the None String back in
    breaklist = ['None']; curbrk = 1;
else
    breaklist = [];
    for i = 1:length(breaks(:,1))
       if breaks(i,6) == 0 
           breaklist = [breaklist ; sprintf('%4d/%2.2d/%2.2d ',YrToDate(breaks(i,1),3))];
       else
           breaklist = [breaklist ; sprintf('%4d/%2.2d/%2.2d*',YrToDate(breaks(i,1),3))];
       end
    end    
    if curbrk > length(breaks(:,1)), curbrk = 1; end
end

% Update the default setting
set(hd,'Value',curbrk);
% Now add the breaks into the buttun
set(hd,'String',breaklist);

