function valstr = SSparse(SSstr)
% valstr = SSparse(SSstr): Returns a string containing just the numerical
% values in the SS function call.

% Remove all the extra bits of the string.  Leave the SS at the front so we
% can detect later.
valstr = strrep(SSstr,'(',' ');
valstr = strrep(valstr,',',' ');
valstr = strrep(valstr,')',' ');
valstr = strrep(valstr,'/',' ');

