function encodeparam(hov, param)
% Funtion to put the parameter values into the offset or align boxes based
% on current estimates and settings.

% The encoding involves adding XYZ or NEU to center of the string.
% hov = findobj(gcf,'Tag','Offvalue');
ht = findobj(gcf,'Tag','EstTran'); hr = findobj(gcf,'Tag','EstRot');
et = get(ht,'Value'); er = get(hr,'Value');
np = length(param);
type = 'NEU' ;
if et == 1 , type = 'XYZ'; end
if np > 3 
    str = sprintf('%6.2f %6.2f %6.2f %s %6.2f %6.2f %6.2f',param(1:3),type,param(4:6));
elseif et == 0 && er == 1
    str = sprintf('0.0 0.0 0.0 XYZ %6.2f %6.2f %6.2f',param(1:3));
else
    str = sprintf('%6.2f %6.2f %6.2f %s',param(1:3),type);
end
% Save the string in the handle
set(hov,'String',str);
end
