function [Data,osym] = GPSDiff(Old, isym, New, type)
% Function to find differences in data and return result
%
% Get the indices to the common data
% Line up the data to the nearest hour.  (Since sessions are near 12:00 UTC
% this will work nearly always. (11:30-12:30 will match), sessions that
% differ be a few seconds with epochs near the half-hour could have
% problems.
[cd iO iN] = intersect(round(Old(1,:)*8760),round(New(1,:)*8760));
Data = [Old(1,iO); Old(2,iO)-New(2,iN);sqrt(Old(3,iO).^2+New(3,iN).^2)];
osym = isym(iO);





