function [updedits,plted] = gpsedit(xdata,ydata,Data, x, y, offset, xtol, ytol, edits)
% GPSEDIT: returns the user selected edits

% Scan over the plotted data to find 
updedits = edits; plted = [];
for i = 1:length(xdata)
    if xdata(i) > x-xtol & xdata(i) < x+offset(1)+xtol & ...
       ydata(i) > y-ytol & ydata(i) < y+offset(2)+ytol 
%       We found point plotted, now find the time in                                                                                                                 
%       in the raw data, k is the point number in the
%       in the raw data set.
        k = i ;
        plted = [plted, i];
        while abs(xdata(i)-Data(1,k)) > xtol/100
             k = k+1;
        end
        updedits = [updedits, k];
    end
 end 
 
